glassfish 3.0.1 a jsf 2.2

0

Witam,
czy mógłby mi ktoś powiedzieć czy obsługiwana wersja jsf i primefaces jest determinowana przez glassfisha? Tzn. czy na Glassfish 3.0.1 pójdzie aplikacja w JSF 2.2 i PrimeFaces 3.5 oczywiście bez dodatkowej konfiguracji serwera (bo nie mam do niego dostępu)?

0

Dlaczego miałaby nie pójść, jeśli spełni się wszystkie zależności? Po prostu w mavenie należy ustawić scope pakietu z JSF 2.2 (Mojarra) na compile, zamiast provided. W przypadku użycia GlassFish 4 scope powinno się ustawić na provided, gdyż JSF 2.2 domyślnie znajduje się na serwerze. Można próbować.

0

Dziękuję wielkie za odpowiedź.

Pozdrawiam

1 użytkowników online, w tym zalogowanych: 0, gości: 1, botów: 0